LINUX.ORG.RU

25 лет назад была выпущена первая версия Slackware

 ,


3

7

17 июля 1993 года Патрик Фолькердинг объявил о выпуске Slackware 1.00 — первой версии легендарного дистрибутива GNU/Linux. Она была основана на Softlanding LinuxSystem (SLS), причём, как можно узнать из интервью (англ. яз.), изначально Фолькердинг не планировал делать её публично доступной. Однако позже, не дождавшись новой версии SLS, он выложил Slackware 1.00 на FTP-сервер своего университета, который уже вскоре упал под нагрузкой

По состоянию на сегодняшний день, последний стабильный выпуск Slackware (14.2) был опубликован в июне 2016 года. Спустя четверть века, Slackware остаётся старейшим из поддерживаемых дистрибутивов (для сравнения, первая версия Debian стала доступной в январе 1994, а Red Hat Linux — в октябре 1994 года). Именно на его основе изначально был создан SUSE Linux, равно как и другие (график) относительно известные проекты, такие как Slax или российский MOPSLinux.

>>> Объявление о выходе Slackware 1.00

Ответ на: комментарий от Valman_old

О, это тот самый настоящий ЛОР, про который все говорят? Тортовый?

ozz_is_here ()
Ответ на: комментарий от ozz_is_here

Это тот ЛОР, что был год назад, вот всё, что я могу сказать.

Valman_old ()
Ответ на: комментарий от tailgunner

пакетный менеджер ({install,upgrade,remove}pkg) его не вызвает.

Пакетный менеджер Slackware — pkgtools — состоит из следующих утилит-сценариев: pkgtool, installpkg, upgradepkg, removepkg, explodepkg, makepkg.
Постустановочный сценарий пакета install/doinst.sh вызывается installpkg после распаковки пакета. Остальные утилиты используют для установки пакетов installpkg.
Настроечный сценарий попадает в /var/lib/setup/, но автоматически не вызывается. Эти сценарии изначально предназначены для интерактивных действий, поэтому автоматический вызов их предусмотрен только на фазе CONFIGURE установщика. В остальных случаях их зовёт администратор — или setup -> CONFIGURE (редко), или pkgtool и выбор из меню, или прямой вызов.

bormant ★★★★★ ()
Ответ на: комментарий от anc

А мне всегда казалось, что ос должна работать...

ОС-то работает, а вот дистрибутивы не всегда.

ozz_is_here ()
Ответ на: комментарий от bormant

автоматически не вызывается

Т.е. я понял правильно.

tailgunner ★★★★★ ()
Ответ на: комментарий от anonymous

Поюзывал слаку с версии 3.5 (основной системой почти никогда, был самый расцвет gentoo и юзал её как дефолтную систему). Где-то версии с 10-й стало очевидно, что слака становится юзабельной только с emerde

Поматросил и бросил. Что с тебя взять...

Думаю у меня больше лет общения со слакой, чем у местных клоунов-слакофилов, которые ненавидят автоматизацию и удобные инструменты.

В Слаке есть автоматизация. Это bash скрипты Патрика. Они как цемент связывают всю систему. Автоматизация автоматизации рознь. В других дистрах за жирным слоем жира невозможно увидеть общую структуру операционной системы. Важны не года общения со Слакой, самое главное это нравится ли тебе система Патрика или не нравится. Вот и всё.

anonymous ()
Ответ на: комментарий от menangen

У меня в докере крутится slackware current (rolling) с софтом, где требуется свежий Glib. Например, swift + clang + llvm.

swift + clang + llvm = Apple.

Чё тянуть-то, сразу переходи на macOS.

anonymous ()
Ответ на: комментарий от anc

А то много вариантов было, в том числе и устанавливаемая поверх dos.

personal netware. она, кстати, ща фактически даром даётся, в комплекте с drdos/opendos

buratino ★★★★ ()
Ответ на: комментарий от buratino

или не, personal netware это версия ещё проще, чем та из состава drdos...

buratino ★★★★ ()

кстати, а юбилей РусФизВыбСлак на LOR отмечают?

buratino ★★★★ ()
Ответ на: комментарий от anonymous

Так уже, с 10.8 OS X Mountain Lion (сижу и пишу на мак оси, понятно, что писать из под линя не так-то просто, тока если взять Appcode/Clion с плагином под Swift, но я это не пробовал, мож, Visual Studio Code тоже могёт в Swift хз.

menangen ★★★★★ ()
Ответ на: комментарий от menangen

писать из под линя не так-то просто, тока если взять Appcode/Clion с плагином под Swift, но я это не пробовал, мож, Visual Studio Code тоже могёт в Swift хз

AppCode требует XCode, так что только macOS. Ну и Swift под линукс (пока) существует только в виде обрезка и годится только для написания серверного кода или инструментов командной строки. И даже если вы занимаетесь именно этим и вам достаточно core (что почти невероятно, если ваш основной язык — Swift), то VSCode не предлагает того же уровня функции, что доступны в IDE от JetBrains. Короче тут как и со многим другим в линуксе — в теории можно, но на практике нуевонафик.

anonymous ()
Ответ на: комментарий от anonymous

Короче тут как и со многим другим в линуксе — в теории можно, но на практике нуевонафик.

Linux — это царство сишников. Это родной дом чистого Си.

anonymous ()
Ответ на: комментарий от anonymous

Ну не линукс, положим, а Unix. NetBSD и Solaris в этом плане не сильно отличаются. Только в последней кроме сей есть ещё один first class citizen.

anonymous ()

Во имя Патрика Святого, Первослаки и Небесной Дискеты! Аминь!

Xellos ★★★★★ ()

Обсуждаемый пост однако получился. Если б слака была не нужна, то было две страницы коментов а ля «не нужно». А тут... Представляю что будет когда Slackware 15 зарелизят) Патрик бог!

Deleted ()
Ответ на: комментарий от Deleted

Это ж лор. Тут вон кавычки в Tcl 4 страницы обсуждают. Любое произвольное ненужно может вызвать необъяснимый всплеск активности. А может и не вызвать.

bread ()
Ответ на: комментарий от bread

Ага, и чем больше оно «не нужно», тем большей будет активность.

Давайте посчитаем для прикола, сколько в треде слакварщиков. Тех, у кого хотя бы на одной машине это основная система.

anonymous ()
Ответ на: комментарий от Deleted

Ну разумеется нужна. Как ещё детектить красноглазых мануальщиков-любителей в гамаке и стоя?

anonymous ()
Ответ на: комментарий от anonymous

Почему до сих пор 14.1?

Набор софта из 14.1 меня всем устраивал, к тому же новый софт в slackonly и у Эрика продолжал обновляться и после выхода 14.2. Потом я переехал в Германию, и там оказался только 3G интернет с лимитированным трафиком. Так что сейчас приходится жёстко экономить трафик.

Почему перешел с opensuse

Начиная с 12.1 openSUSE начали делать на пользователях какие-то непонятные эксперименты. Например, установщик 13.2 у меня повисал намертво, а установщик предыдущей версии работал правильно. Я понимаю, что это решаемо установкой в консольном режиме, но сам факт показателен. Всё это сопровождалось исчезновением из репозиториев нужного софта (например freeFEM, компиляторы для микроконтроллеров и т.п.) Поэтому я стал искать замену для 12.2 Вобщем получилось, что в openSUSE нужно ковыряться в консоли и в Slackware тоже ковыряться в консоли. И я выбрал дистрибутив, где этот процесс лучше документирован. Сейчас возможно ситуация улучшилась, вопросом не интересовался.

Что подразумеваете под «работать»

Академическая работа. Намерить/намоделировать что-либо, при необходимости изготовить какую-либо железяку, потом нарисовать графики и опубликовать статью. Почти как у русских физиков, но я не физик.

DarthVadimius ★★ ()
Ответ на: комментарий от Valman_old

Я виноват, что мне понадобилось открыть этот архив?

Да, разумеется виноват.

Stanson ★★★★★ ()
Ответ на: комментарий от Valman_old

В чем? Что нужный мне файл был только в этом формате?

Именно.

Stanson ★★★★★ ()
Ответ на: комментарий от Valman_old

Ладно вам, «горячие финские парни». Но виноваты вы в том что не осилили установить 7z, что в принципе не так уж и сложно.

anc ★★★★★ ()
Ответ на: комментарий от anc

Виноват? Мб ты на меня ещё иск в суд подашь? Виновата слака, потому что не может этого по-умолчанию, а я не причём.

Valman_old ()
Ответ на: комментарий от Valman_old

Я не осилил в дистреХ сделать действиеY конечно виноват дистр, ну а кто же еще?
На шинду или огрызок в суд подайте они тоже так не умеет из каробки.

anc ★★★★★ ()
Последнее исправление: anc (всего исправлений: 1)
Ответ на: комментарий от anc

Почему же, я осилил, вскрыл архив, но как только нашлась возможность, снёс эту хрень к чертям собачьим;)

Valman_old ()
Ответ на: комментарий от Valman_old

Почему же, я осилил, вскрыл архив, но как только нашлась возможность, снёс эту хрень к чертям собачьим;)

Ну и зачем вы тут хз какую страницу её обсуждаете? Не нравиться, не кушай. Или вы во все темы того что вам-не-понравилось/вы-не-осилили влезаете?

anc ★★★★★ ()
Ответ на: комментарий от anc

А тебе не пох, зачем я пишу? Я так развлекаюсь, бо щас час ночи и кроме этого и сериальчика ничего не остаётся.

Valman_old ()
Ответ на: комментарий от Valman_old

А тебе не пох, зачем я пишу? Я так развлекаюсь, бо щас час ночи и кроме этого и сериальчика ничего не остаётся.

Ну для этого вроде есть всякие вк, ок, и другие твитеры с мордокнигами. Там и отрывайтесь.

anc ★★★★★ ()
Ответ на: комментарий от ashot

Душевно :))) Хорошее настроение обеспечили :)

anc ★★★★★ ()

Сие не возраст совсем есть.

Вот если бы 25 000 лет назад...

anonymous ()

2018-40=1978.
Юниксу лет. а не понятно, но гугл говорит, что версии 1-4, 5-6.

А там дядько выдергивает яркие воспоминания из 80х, да наверное хорошо так второй половины.

Скромно умалчивая, откуда растут ноги у ОС для ЕС ЭВМ.

Deleted ()

Самая достоверная компьютерная история про лиункс вСНГ, кажется, в каком-то журнале статья, я ссыль приводил, да забыл где она там.

так вот, там воспоминания крутятся в районе 1997года.

Deleted ()
Ответ на: разговор как раз о скриптах, от sqq

разговор как раз о скриптах,а не об интерактивной работе. Поэтому ash вполне должно хватить

Пробовал я как-то bash заменить на ash, в 11-й, если не ошибаюсь, там возникли проблемы с инит-скриптами, потому что ash кое-каких конструкций не умел. Переписывать+проверять все скрипты на наличие совместимости я счел нецелесообразным,а с учетом, что и в будущем такие проблемы могут возникнуть с какими-то другими скриптами где-то еще, вернул bash.

frd ★★ ()
Последнее исправление: frd (всего исправлений: 1)
Ответ на: комментарий от Croco

Странно, год назад в питерском рт был отдельный телефон к сисадминам.

Shadow ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.